Summary: 		Support for French interface in Mozilla
Summary(fr):	Mozilla en francais
Name: 		mozilla-fr-FR
Version: 		1.7.10
Release: 		0.FC3.remi
Packager: 		Remi Collet <remi.collet@univ-reims.fr>
Distribution: 	Fedora Core 3
Vendor: 		Remi Collet
License: 		GPL
URL: 			http://www.mozilla.org/projects/l10n/mlp_status.html
# Source: 		http://ftp.mozilla.org/pub/mozilla.org/mozilla/l10n/lang/moz1.710/mozilla-1.7.10.fr-FR.langpack.xpi
Source: 		http://frenchmozilla.sourceforge.net/FTP/1.7.10/mozilla-1.7.10.fr-FR.langpack.xpi
Group: 		Applications/Internet
BuildRoot: 		%{_tmppath}/%{name}-root
Requires: 		mozilla >= 1.7.10
BuildPreReq: 	unzip
BuildArchitectures: i386

%description
French translation of the Mozilla interface.

%description -l fr
Traduction francaise de Mozilla.

%prep
%setup -q -T -c -n %{name}-%{version}
unzip %{SOURCE0}

%build
mylocale=fr-FR
mylang=fr
grep 'registerChrome(' install.js | grep -v platform | grep -v mapi | awk '{print $5}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/fr-FR.jar!/locale/fr-FR/",$1,"/"}' > lang-$mylocale.jar.txt
grep 'registerChrome(' install.js | grep platform | awk '{print $5}' | sed 's/"//g;s#/);##g' | sort --unique | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/fr-unix.jar!/locale/fr-FR/",$1,"/"}' > lang-$mylang-unix.jar.txt

%install
rm -rf $RPM_BUILD_ROOT
# add new locale
mylocale=fr-FR
mylang=fr
install -d $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang
cp -f bin/chrome/$mylocale.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylocale.jar
cp -f bin/chrome/$mylang-unix.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylang-unix.jar
cp -f lang-$mylocale.jar.txt lang-$mylang-unix.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang

install -d $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/components/myspell
cp -f bin/components/myspell/* $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/components/myspell

%clean
rm -rf $RPM_BUILD_ROOT

%post
sed -i -e 's/en-US/fr-FR/' /usr/lib/mozilla-%{version}/chrome/lang/default.txt
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun
sed -i -e 's/fr-FR/en-US/' /usr/lib/mozilla-%{version}/chrome/lang/default.txt
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%files
%defattr(-,root,root)
/usr/lib/mozilla-%{version}/chrome/*.jar
/usr/lib/mozilla-%{version}/chrome/lang/*.txt
/usr/lib/mozilla-%{version}/components/myspell/*

%changelog
* Sat Jul 23 2005 Remi Collet <remi.collet@univ-reims.fr> 1.7.10-0.FC3.remi
- mozilla-1.7.10
- mozilla-1.7.10.fr-FR.langpack.xpi
- built for FC3

* Thu May 12 2005 Remi Collet <remi.collet@univ-reims.fr> 1.7.8-0.remi
- mozilla-1.7.8
- mozilla-1.7.8.fr-FR.langpack.xpi

* Fri Apr 22 2005 Remi Collet <remi.collet@univ-reims.fr> 1.7.7-0.remi
- mozilla-1.7.7
- mozilla-1.7.7.fr-FR.langpack.xpi
- set arch = i386 (doesn't work on x86_64)

* Sat Mar 26 2005 Remi Collet <remi.collet@univ-reims.fr> 1.7.6-1.iutreims
- set to noarch

* Sat Mar 12 2005 Remi Collet <remi.collet@univ-reims.fr> 1.7.6-0.iutreims
- update of chrome/lang/default.txt (post & postun)
- mozilla-1.7.5.fr-FR.langpack.xpi
- Update to 1.7.6-0.cvs.20050309

* Fri Feb 25 2005 Alain Pichon <akthoi@wanadoo.fr>
- Rebuild.

* Thu Feb  3 2005 Alain Pichon <nyarlathotep.enterprise.linux@laposte.net> 1.7.5-8
- Add Release: %{rel}%{_rel}%{rhtag}.

* Sat Jan 22 2005 Alain Pichon <nyarlathotep.enterprise.linux@laposte.net> 1.7.5-7
- Rebuild for RedHat Enterprise Linux WS 4.0.
- Add Release: %{rel}%{rhtag}.
- Use new patched xpi.

* Sun Jan 16 2005 Alain Pichon <nyarlathotep.enterprise.linux@laposte.net> 1.7.5-6
- Rebuild for RedHat Enterprise Linux 4.0.

* Sat Jan  8 2005 Alain Pichon <nyarlathotep.enterprise.linux@laposte.net> 1.7.5-5
- Rebuild for Nyarlathotep Enterprise Linux 4.3.

* Wed Jan  5 2005 Alain Pichon <nyarlathotep.enterprise.linux@laposte.net> 1.7.5-4
- Rebuild.

* Sun Jan  2 2005 Alain Pichon <nyarlathotep.enterprise.linux@laposte.net> 1.7.5-3
- Rebuild.

* Fri Dec 31 2004 Alain Pichon <nyarlathotep.enterprise.linux@laposte.net> 1.7.5-2
- Rebuild.

* Mon Dec 20 2004 Alain Pichon <nyarlathotep.enterprise.linux@laposte.net> 1.7.5-1.FC3
- Update to 1.7.5.

* Sat Dec 18 2004 Alain Pichon <nyarlathotep.enterprise.linux@laposte.net> 1.7.3-2
- Rebuild for Fedora Core 3.

* Sun Nov 14 2004 Alain Pichon <nyarlathotep.enterprise.linux@laposte.net> 1.7.3-1
- Rebuild.

* Sun Oct  3 2004 Alain Pichon <nyarlathotep.enterprise.linux@tiscali.fr> 1.7.3-0.fdr.0.FC2
- Update to 1.7.3.

* Mon Aug 16 2004 Alain Pichon <enterprise.linux@tiscali.fr> 1.7.2-0.eln.2
- Rebuild.

* Sun Aug 15 2004 Alain Pichon <enterprise.linux@tiscali.fr> 1.7.2-0.eln.1
- Rebuild for Fedora Core 2.

* Thu Aug 12 2004 Alain Pichon <enterprise.linux@tiscali.fr> 1.7.2-0.eln.0.1
- Update to 1.7.2.

* Sun Jul 18 2004 Alain Pichon <Aph@alussinan.org> - 1.7.1-1.fed.0.2
- new version
- add ExclusiveArch: i386 x86_64 ia64 ppc

* Sun Jun 20 2004 Alain Pichon <Aph@alussinan.org> 1.7-1.fed.0
- new version

* Sun Jun 13 2004 Alain Pichon <Aph@alussinan.org> 1.7rc3-0.fed.0
- new experimental version

* Sun Jun 13 2004 Alain Pichon <Aph@alussinan.org> 1.6-0.fed.0
- initial spec file
